aboutsummaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
* sourceipk: exclude temp dirs when S == WORKDIRtesting-nextChris Larson2011-06-021-1/+4
| | | | Signed-off-by: Chris Larson <chris_larson@mentor.com>
* sourceipk: deal with compileconfigs only when it existsChris Larson2011-06-021-11/+7
| | | | Signed-off-by: Chris Larson <chris_larson@mentor.com>
* sourceipk: use tar to get the files copied, rather than cpChris Larson2011-06-021-11/+3
| | | | Signed-off-by: Chris Larson <chris_larson@mentor.com>
* sourceipk: allow override of the sectionChris Larson2011-06-021-1/+4
| | | | Signed-off-by: Chris Larson <chris_larson@mentor.com>
* gammu: add `curl` to `DEPENDS`Paul Menzel2011-06-021-1/+1
| | | | | | | | | | | | | | | | Task compile failed with the following error message [1]. Linking C executable gammu /oe/build-angstrom-next/angstrom-dev/sysroots/i686-linux/usr/lib/libcurl.so: could not read symbols: File in wrong format collect2: ld returned 1 exit status make[3]: *** [gammu/gammu] Error 1 Adding `curl` to `DEPENDS` as suggested by Stanislav [2] fixes this problem. This patch is build tested using `angstrom-2010.x` and `minimal{,-uclibc}` for `MACHINE = "beagleboard"`. [1] http://lists.linuxtogo.org/pipermail/openembedded-devel/2011-June/033194.html [2] http://lists.linuxtogo.org/pipermail/openembedded-devel/2011-June/033197.html Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net>
* lmbench: Add missing end-quoteTom Rini2011-06-021-2/+2
| | | | | | Noticed by Paul Menzel. Signed-off-by: Tom Rini <tom_rini@mentor.com>
* lynx: inherit class `gettext` to fix build with `minimal-uclibc`Paul Menzel2011-06-021-2/+2
| | | | | | | | | | | | | | | | | | Task configure failed with the following error message using `minimal-uclibc` for `MACHINE = "beagleboard"`. checking for __argz_stringify... no checking for __argz_next... no checking for iconv... no, consider installing GNU libiconv checking for nl_langinfo and CODESET... yes checking for LC_MESSAGES... yes checking whether NLS is requested... yes checking whether included gettext is requested... no checking for libintl.h and gettext()... no configure: error: no NLS library is packaged with this application Inheriting the class `gettext` fixes this error and the build completes using `minimal-uclibc` for `MACHINE = "beagleboard"`. Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net>
* kexecboot: update list of configure args in kexecboot.incAndrea Adami2011-06-021-1/+2
| | | | Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* kexecboot: move to git rev 698cf7185e013e873aa7df9388a31d857727d408Andrea Adami2011-06-012-4/+4
| | | | | | | | * follow upstream developement * new: Enable menu item selection by keys 0-9 * debug for 'rotated qvga' case in progress Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* lynx: Fixed download URL of the latest release.Stanislav Brabec2011-06-011-1/+3
| | | | Signed-off-by: Stanislav Brabec <utx@penguin.cz>
* lynx: correct `LICENSE` from `GPL` to `GPLv2`Paul Menzel2011-06-011-1/+1
| | | | | | | | | | | | | | | | | | | | | | According to `COPYING` [1] the license is GPLv2. This is a fixup for commit 06d31dc0 [2]. commit 06d31dc06beb85a28ca3c2c2c0c2787267a24ff5 Author: Stanislav Brabec <utx@penguin.cz> Date: Tue May 31 22:28:20 2011 +0000 lynx: New recipe, version 2.8.7. Signed-off-by: Stanislav Brabec <utx@penguin.cz> recipes/lynx/lynx_2.8.7.bb | 40 ++++++++++++++++++++++++++++++++++++++++ 1 files changed, 40 insertions(+), 0 deletions(-) [1] http://lynx.isc.org/lynx2.8.7/lynx2-8-7/COPYING [2] http://cgit.openembedded.org/cgit.cgi/openembedded/commit/?id=06d31dc06beb85a28ca3c2c2c0c2787267a24ff5 Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net>
* lmsensors-apps: Various important fixesTom Rini2011-05-311-6/+8
| | | | | | | | | - Add DEPENDS = "bison-native flex-native" - Pass in CC/AR so that we build for the target - Use EXTRA_OEMAKE to pass in args - Set PACKAGE_ARCH = ${MACHINE_ARCH} since we reference kernel stuff. Signed-off-by: Tom Rini <tom_rini@mentor.com>
* perl-native: Bump PRTom Rini2011-05-311-1/+1
| | | | | | | This will make the utils.bbclass change that fixes using perl${PV} take effect for all users. Signed-off-by: Tom Rini <tom_rini@mentor.com>
* utils.bbclass: modify create_wrapper to correctly follow symlinksAndreas Müller2011-05-311-1/+2
| | | | | | | | | | | | | | | * taken from OE-Core [1] * thanks Khem for pointing out[2] * fixes build failure perl | env: ./perl5.10.1.real: No such file or directory | make[1]: *** [pod/perlapi.pod] Error 127 [1] http://git.openembedded.org/cgit.cgi/openembedded-core/commit/?id=a10bd976f4cef54ac50b0c82f885c17a26e5989f [2] http://lists.linuxtogo.org/pipermail/openembedded-core/2011-May/002975.html Signed-off-by: Andreas Mueller <schnitzeltony@gmx.de> Signed-off-by: Tom Rini <tom_rini@mentor.com>
* Merge branch 'master' of git.openembedded.net:openembedded (adding missed ↵Stanislav Brabec2011-05-310-0/+0
|\ | | | | | | | | | | | | patch). Conflicts: recipes/lynx/lynx_2.8.7.bb
| * lynx: New recipe, version 2.8.7.Stanislav Brabec2011-05-311-0/+40
| | | | | | | | Signed-off-by: Stanislav Brabec <utx@penguin.cz>
* | lynx: New recipe, version 2.8.7.Stanislav Brabec2011-05-312-0/+54
|/ | | | Signed-off-by: Stanislav Brabec <utx@penguin.cz>
* mtkbabel: Upgrade to version 0.8.2.Stanislav Brabec2011-05-312-50/+4
| | | | Signed-off-by: Stanislav Brabec <utx@penguin.cz>
* navit: Update to SVN revision 4503.Stanislav Brabec2011-05-311-1/+1
| | | | Signed-off-by: Stanislav Brabec <utx@penguin.cz>
* gammu: Upgrade to version 1.29.0 and fix build.Stanislav Brabec2011-05-311-10/+5
| | | | Signed-off-by: Stanislav Brabec <utx@penguin.cz>
* lmbench: Obey ranlibTom Rini2011-05-312-3/+29
| | | | | | | | In some cases the host may have too old of a ranlib to work. Since it's not exactly a great idea to not be using the cross ranlib anyhow, fix the Makefile so we can override ranlib and then override it. Signed-off-by: Tom Rini <tom_rini@mentor.com>
* aurora: supply QT_DIR_NAME to configure script and bump PR/SRCREVSimon Busch2011-05-311-5/+6
| | | | Signed-off-by: Simon Busch <morphis@gravedo.de>
* linux-omap 2.6.39: sync with meta-texasinstruments for bootup fixesKoen Kooi2011-05-318-1104/+940
| | | | Signed-off-by: Koen Kooi <koen@openembedded.org>
* aurora: make it suitable for the latest version and bump PR/SRCREVSimon Busch2011-05-311-4/+7
| | | | Signed-off-by: Simon Busch <morphis@gravedo.de>
* qfsodbusxml2cpp-native: add initial recipeSimon Busch2011-05-311-0/+12
| | | | Signed-off-by: Simon Busch <morphis@gravedo.de>
* iproute2: Add 2.6.38 versionTom Rini2011-05-312-0/+78
| | | | Signed-off-by: Tom Rini <tom_rini@mentor.com>
* xserver-xorg: upgrade from 1.10.1.902 to 1.10.2 and replace part of ↵Martin Jansa2011-05-305-31/+64
| | | | | | randr-support.patch with upstream patch Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* angstrom: prefer udev 171Koen Kooi2011-05-301-1/+1
| | | | Signed-off-by: Koen Kooi <koen@openembedded.org>
* udev: add 171Koen Kooi2011-05-301-0/+125
| | | | | | As the recipe says, machine specific rules should be in their own recipe Signed-off-by: Koen Kooi <koen@openembedded.org>
* udev git: bump SRCREV past 171Koen Kooi2011-05-301-3/+4
| | | | Signed-off-by: Koen Kooi <koen@openembedded.org>
* qt4: remove qte.sh from shared SRC_URI and PACKAGE_ARCH_palmpreMartin Jansa2011-05-295-9/+8
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* linux-2.6.39: add defconfig for om-gta01Martin Jansa2011-05-282-0/+486
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* nokia900: move more kernel drivers that were built in the kernel(=y) to ↵Denis 'GNUtoo' Carikli2011-05-283-43/+141
| | | | | | | | | modules(=m) * JaMa: minimize defconfig with savedefconfig Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* linux-nokia900-meego: minimize defconfig with savedefconfigMartin Jansa2011-05-281-2136/+0
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* om-gta01: minimize 2.6.37 defconfig with savedefconfigMartin Jansa2011-05-281-1836/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-pyside-embedded: update patch for qws support and bump PRSimon Busch2011-05-282-6/+14
| | | | | | | This removes the binding for the QWSServer from the patch as it's not working and not needed anymore. Signed-off-by: Simon Busch <morphis@gravedo.de>
* libshiboken: fixup several issues with the generated pkgconfig file and bump PRSimon Busch2011-05-281-5/+15
| | | | Signed-off-by: Simon Busch <morphis@gravedo.de>
* aurora: update recipe for latest changes to aurora and bump PRSimon Busch2011-05-281-3/+8
| | | | Signed-off-by: Simon Busch <morphis@gravedo.de>
* python-2.6.6: backport pkgconfig support from version 2.7.1 and bump PRSimon Busch2011-05-282-1/+96
| | | | | | | | Version 2.6.6 of python does not have support for pkgconfig and 2.7.1 is not yet ready in OE so I back-ported the new pkgconfig feature to 2.6.6. Signed-off-by: Simon Busch <morphis@gravedo.de> Acked-by: Michael 'Mickey' Lauer <mlauer@vanille-media.de>
* mango-lassi: add `scrollkeeper-native` to `DEPENDS`Paul Menzel2011-05-281-1/+1
| | | | | | | | | | | | | | | | | | | | | Task compile fails with the following error. […] Making all in doc make[2]: Entering directory `/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/mango-lassi-001+r0+gitrd50141ce4eb96e7326ba-r0/git/doc' /bin/sh: scrollkeeper-config: command not found /bin/sh: line 1: scrollkeeper-config: command not found The file '/Templates/C/scrollkeeper_cl.xml' does not exist. Please check your ScrollKeeper installation. make[2]: *** [mango-lassi-C.omf] Error 1 make[2]: Leaving directory `/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/mango-lassi-001+r0+gitrd50141ce4eb96e7326ba-r0/git/doc' make[1]: *** [all-recursive] Error 1 make[1]: Leaving directory `/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/mango-lassi-001+r0+gitrd50141ce4eb96e7326ba-r0/git' make: *** [all] Error 2 Adding `scrollkeeper-native` to `DEPENDS` fixes this problem. This patch is tested using `angstrom-2010.x` and `minimal{,-uclibc}` for `MACHINE = "beagleboard"`. Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net>
* avahi-ui: add `libglade` to `DEPENDS`Paul Menzel2011-05-281-1/+1
| | | | | | | | | | | | | | | | | | | | | Task configure fails with the following error message. […] checking for GTK20... yes checking for GLADE20... configure: error: Package requirements ( libglade-2.0 >= 2.4.0 ) were not met: No package 'libglade-2.0' found Consider adjusting the PKG_CONFIG_PATH environment variable if you installed software in a non-standard prefix. Alternatively, you may set the environment variables GLADE20_CFLAGS and GLADE20_LIBS to avoid the need to call pkg-config. See the pkg-config man page for more details. Adding `libglade` to `DEPENDS` fixes this issue. This patch is tested using `angstrom-2010.x` and `minimal{,-uclibc}` for `MACHINE = "beagleboard"`. Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net>
* sflphone-common: Update to 0.9.13 and remove sflphone-pjprojectThomas Zimmermann2011-05-284-239/+117
| | | | | | | * sflphone-pjproject has installed .h files which have broken the build for other recipes, e.g. err.h and integers.h Signed-off-by: Thomas Zimmermann <zimmermann@vdm-design.de>
* linux: set DEFAULT_PREFERENCE = "1" for 2.6.39 on Zaurus.Andrea Adami2011-05-281-0/+10
| | | | Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* linux-kexecboot: set DEFAULT_PREFERENCE = "1" for 2.6.39 on Zaurus.Andrea Adami2011-05-281-0/+5
| | | | Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* linux: : sync Zaurus _git defconfigs with 2.6.39 ones.Andrea Adami2011-05-286-6/+112
| | | | Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* linux-kexecboot: sync Zaurus _git defconfigs with 2.6.39 ones.Andrea Adami2011-05-286-6/+6
| | | | Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* linux-kexecboot: add remaining 2.6.39 defconfigs for Zaurus devices.Andrea Adami2011-05-285-0/+685
| | | | Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* linux: add remaining 2.6.39 defconfigs for Zaurus devicesAndrea Adami2011-05-286-1/+1862
| | | | | | * minor updates to spitz defconfig Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* boa: Also flex-nativeTom Rini2011-05-271-1/+1
| | | | Signed-off-by: Tom Rini <tom_rini@mentor.com>
* boa: Add bison-native to DEPENDSTom Rini2011-05-271-0/+1
| | | | | | Won't build without this, so no PR change. Signed-off-by: Tom Rini <tom_rini@mentor.com>